summaryrefslogtreecommitdiffstats
path: root/source/ap/gutenprint
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/gutenprint')
-rwxr-xr-xsource/ap/gutenprint/gutenprint.SlackBuild22
-rw-r--r--source/ap/gutenprint/slack-desc10
2 files changed, 21 insertions, 11 deletions
diff --git a/source/ap/gutenprint/gutenprint.SlackBuild b/source/ap/gutenprint/gutenprint.SlackBuild
index de08b69f8..2478b7863 100755
--- a/source/ap/gutenprint/gutenprint.SlackBuild
+++ b/source/ap/gutenprint/gutenprint.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2015, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2015, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,7 +20,9 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+PKGNAM=gutenprint
VERSION=${VERSION:-$(echo gutenprint-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-2}
@@ -34,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -50,7 +60,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-gutenprint
rm -rf $PKG
@@ -73,16 +82,17 @@ find . \
--infodir=/usr/info \
--mandir=/usr/man \
--with-cups \
- --with-gimp2 \
- --with-gimp2-as-gutenprint \
--enable-libgutenprintui2 \
--enable-escputil \
--disable-static \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/ap/gutenprint/slack-desc b/source/ap/gutenprint/slack-desc
index ac2bdb93e..7f5ab853c 100644
--- a/source/ap/gutenprint/slack-desc
+++ b/source/ap/gutenprint/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -10,9 +10,9 @@ gutenprint: gutenprint (IJS printer driver for Ghostscript and CUPS)
gutenprint:
gutenprint: Gutenprint (formerly named Gimp-Print) is a suite of printer drivers
gutenprint: that may be used with most common print spooling systems, including
-gutenprint: CUPS, LPRng, or others. These drivers provide high quality printing
+gutenprint: CUPS, LPRng, or others. These drivers provide high quality printing
gutenprint: in many cases equal to or better than proprietary vendor-supplied
-gutenprint: drivers. Gutenprint also includes an enhanced print plug-in for the
+gutenprint: drivers. Gutenprint also includes an enhanced print plug-in for the
gutenprint: GIMP image editor.
gutenprint:
gutenprint: